#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kopeteaccountconfigbase.ui'
**
** Created: 2015-12-18T10:20:15
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kopeteaccountconfigbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qcheckbox.h>
#include <kcolorbutton.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KopeteAccountConfigBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KopeteAccountConfigBase::KopeteAccountConfigBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KopeteAccountConfigBase" );
    KopeteAccountConfigBaseLayout = new QGridLayout( this, 1, 1, 0, 6, "KopeteAccountConfigBaseLayout"); 

    mButtonNew = new QPushButton( this, "mButtonNew" );

    KopeteAccountConfigBaseLayout->addMultiCellWidget( mButtonNew, 0, 0, 1, 2 );

    mButtonEdit = new QPushButton( this, "mButtonEdit" );

    KopeteAccountConfigBaseLayout->addMultiCellWidget( mButtonEdit, 1, 1, 1, 2 );

    mButtonRemove = new QPushButton( this, "mButtonRemove" );

    KopeteAccountConfigBaseLayout->addMultiCellWidget( mButtonRemove, 2, 2, 1, 2 );

    mAccountList = new KListView( this, "mAccountList" );
    mAccountList->addColumn( tr2i18n( "Protocol" ) );
    mAccountList->addColumn( tr2i18n( "Account" ) );
    mAccountList->setAllColumnsShowFocus( TRUE );

    KopeteAccountConfigBaseLayout->addMultiCellWidget( mAccountList, 0, 7, 0, 0 );

    mUseColor = new QCheckBox( this, "mUseColor" );

    KopeteAccountConfigBaseLayout->addMultiCellWidget( mUseColor, 4, 4, 1, 2 );

    mColorButton = new KColorButton( this, "mColorButton" );

    KopeteAccountConfigBaseLayout->addWidget( mColorButton, 5, 2 );
    spacer3_2 = new QSpacerItem( 16, 16, QSizePolicy::Minimum, QSizePolicy::Minimum );
    KopeteAccountConfigBaseLayout->addItem( spacer3_2, 5, 1 );

    layout27 = new QGridLayout( 0, 1, 1, 0, 6, "layout27"); 

    mButtonUp = new KPushButton( this, "mButtonUp" );
    mButtonUp->setMinimumSize( QSize( 60, 10 ) );

    layout27->addWidget( mButtonUp, 0, 0 );
    spacer41 = new QSpacerItem( 20, 40, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout27->addMultiCell( spacer41, 0, 1, 1, 1 );

    mButtonDown = new KPushButton( this, "mButtonDown" );
    mButtonDown->setMinimumSize( QSize( 60, 10 ) );

    layout27->addWidget( mButtonDown, 1, 0 );

    KopeteAccountConfigBaseLayout->addMultiCellLayout( layout27, 7, 7, 1, 2 );
    spacer1 = new QSpacerItem( 70, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KopeteAccountConfigBaseLayout->addMultiCell( spacer1, 6, 6, 1, 2 );
    spacer3 = new QSpacerItem( 70, 20, QSizePolicy::Minimum, QSizePolicy::Fixed );
    KopeteAccountConfigBaseLayout->addMultiCell( spacer3, 3, 3, 1, 2 );
    languageChange();
    resize( QSize(477, 316).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mUseColor, SIGNAL( toggled(bool) ), mColorButton, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( mAccountList, mButtonNew );
    setTabOrder( mButtonNew, mButtonEdit );
    setTabOrder( mButtonEdit, mButtonRemove );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KopeteAccountConfigBase::~KopeteAccountConfigBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KopeteAccountConfigBase::languageChange()
{
    setCaption( tr2i18n( "Manage Accounts" ) );
    mButtonNew->setText( tr2i18n( "&New..." ) );
    QToolTip::add( mButtonNew, tr2i18n( "Add new account" ) );
    mButtonEdit->setText( tr2i18n( "&Modify..." ) );
    QToolTip::add( mButtonEdit, tr2i18n( "Modify selected account" ) );
    QWhatsThis::add( mButtonEdit, tr2i18n( "Let you edit the account's properties." ) );
    mButtonRemove->setText( tr2i18n( "&Remove" ) );
    QToolTip::add( mButtonRemove, tr2i18n( "Remove selected account" ) );
    QWhatsThis::add( mButtonRemove, tr2i18n( "Remove selected account" ) );
    mAccountList->header()->setLabel( 0, tr2i18n( "Protocol" ) );
    mAccountList->header()->setLabel( 1, tr2i18n( "Account" ) );
    mUseColor->setText( tr2i18n( "Use &custom color" ) );
    QToolTip::add( mUseColor, tr2i18n( "Use custom color for account" ) );
    QWhatsThis::add( mUseColor, tr2i18n( "Allows you to set a custom color for this account" ) );
    mColorButton->setText( QString::null );
    QToolTip::add( mColorButton, tr2i18n( "Account custom color selector" ) );
    QWhatsThis::add( mColorButton, tr2i18n( "Allows you to set a custom color for this account.\n"
"The icon of every contact of this account will be coloured with this color. Useful if you have several accounts of the same protocol" ) );
    mButtonUp->setText( QString::null );
    QToolTip::add( mButtonUp, tr2i18n( "Increase the priority" ) );
    QWhatsThis::add( mButtonUp, tr2i18n( "Uses these buttons to increase or decrease the priority.\n"
"The priority is used to determine which contact to use when you click on a metacontact: Kopete will use the contact of the account with the greatest priority (if all contacts have the same online status.)" ) );
    mButtonDown->setText( QString::null );
    QToolTip::add( mButtonDown, tr2i18n( "Decrease the priority" ) );
    QWhatsThis::add( mButtonDown, tr2i18n( "Uses these buttons to increase or decrease the priority.\n"
"The priority is used to determine which contact to use when you click on a metacontact: Kopete will use the contact of the account with the greatest priority (if all contacts have the same online status.)" ) );
}

/****************************************************************************
** KopeteAccountConfigBase meta object code from reading C++ file 'kopeteaccountconfigbase.h'
**
** Created: Fri Dec 18 10:20:15 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kopeteaccountconfigbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KopeteAccountConfigBase::className() const
{
    return "KopeteAccountConfigBase";
}

QMetaObject *KopeteAccountConfigBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KopeteAccountConfigBase( "KopeteAccountConfigBase", &KopeteAccountConfigBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KopeteAccountConfigBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopeteAccountConfigBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KopeteAccountConfigBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopeteAccountConfigBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KopeteAccountConfigBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KopeteAccountConfigBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KopeteAccountConfigBase.setMetaObject( metaObj );
    return metaObj;
}

void* KopeteAccountConfigBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KopeteAccountConfigBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KopeteAccountConfigBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KopeteAccountConfigBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KopeteAccountConfigBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KopeteAccountConfigBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
